Update antonym by ID

Update antonym by ID

Updates an existing antonym group.

Requires authentication.

Request

PUT /antonym/{id}

Path Parameters

ParameterTypeRequiredDescription
idintegerYesThe ID of the antonym group to update.

Headers

HeaderValue
AuthorizationBearer <token>
Content-Typeapplication/json

Request Body

FieldTypeRequiredDescription
namestringNoDisplay name for this antonym group.
languagestringNoLanguage code this antonym group applies to (e.g. de, en).
antonymsstringNoComma-separated list of antonym terms.

Example Request

{
  "name": "Updated color antonyms",
  "language": "de",
  "antonyms": "rot, blau, grün, gelb"
}

Response

Returns the updated antonym object.

Example Response

{
  "id": 5,
  "name": "Updated color antonyms",
  "language": "de",
  "antonyms": "rot, blau, grün, gelb"
}
Path Params
string
required
Body Params
string
string

The language to apply the antonyms to

string

Comma-separated list of antonyms

Headers
string
required

Makaira Instance ID

Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!